<cfprocessingdirective pageencoding="utf-8" />

<!---
* <U> doLogin
* <F> ログイン処理
* <V>	userid		[i]ユーザID
*		password	[i]パスワード
* <R> 	ユーザ情報XML文字列
--->
<cffunction name="doLogin" access="remote" returntype="String" >
	
	<cfargument name="userid" type="string" required="true">
	<cfargument name="password" type="string" required="true">

	<cflock name="LOGIN" timeout="10">
		
		<cfset strSessionId = "">
		
		<cfset strRet = "">
		<cfinvoke method="checkUser" _userid="#userid#" _password="#password#" returnvariable="strRet" >
		
		<cfreturn strRet>
	</cflock>
</cffunction>


<!---
* <U> checkUser
* <F> ユーザ情報確認
* <V>	name="_userid" type="string"	[i]ユーザID
		name="_password" type="string"	[i]パスワード
--->
<cffunction name="checkUser" access="private" returntype="String" >
	
	<cfargument name="_userid" type="string" required="true">
	<cfargument name="_password" type="string" required="true">
	
	<cfset _strRet = "">
	
	<!--- ユーザ情報を構築--->
	<cfif _userid EQ "otsuka" AND _password EQ "passwd">
		<cfscript>
			
			_strRet = "<UserData><UserId>" & 1 & "</UserId>";
			
			_strRet = _strRet & "<firstName>" & "健太" &  "</firstName>";
			_strRet = _strRet &  "<middleName>" & "" & "</middleName>";
			_strRet = _strRet &  "<lastName>" & "大塚" & "</lastName>";
		
			_strRet = _strRet & "<Belong>" & "構造計画研究所" & "</Belong>";
			_strRet = _strRet & "<Authorize>" & "システム管理者" & "</Authorize>";
			
			_strRet = _strRet &  "</UserData>"; 
		
		</cfscript>
	<cfelse>
		<!--- ログインに失敗した場合 --->
		<cfscript>
			_strRet = "";
		</cfscript>	
	</cfif>
	
	<cfreturn _strRet>
	
</cffunction>


<!---
* <U> doUpdate
* <F> アップデート処理
* <V>	name="value" type="xml"	[i]XMLデータ
--->
<cffunction name="doUpdate" access="remote" returntype="String" >
	
	<cfargument name="value" type="xml" required="true">
	
	<cftry>
		<cfset mnm = value.xmlRoot["middleName"].XmlText>
		<!--- Xmlから値を取得して何か処理する --->
		<cfreturn #mnm#>	
		
		<cfcatch type="any">
			<cfset err = "ERROR:" & cfcatch.message & " " & cfcatch.detail>
			<cfreturn err>	
		</cfcatch>
	</cftry>
	
</cffunction>